Manage user information.
Operations
getUser
Retrieves information about a user.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
UserNumberintegerrequiredThe user number for the activity.Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/user/getUserPOST /nexum/627/2022.01/user/getUser HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getUserSelectFields
Retrieves information about a user with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
UserNumberintegerrequiredThe user number for the activity.Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/user/getUserSelectFieldsPOST /nexum/627/2022.01/user/getUserSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"SelectableFields": {
"IncludeAllUserFields": false,
"UserFields": {
"Number": true,
"Name": true,
"Type": true,
"ActiveMode": true,
"LastLogonDate": true,
"LastLogonTime": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getUserSelectFieldsFilterChildren
Retrieves information about a user with selected fields and filters children.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
UserNumberintegerrequiredThe user number for the activity.Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/user/getUserSelectFieldsFilterChildrenPOST /nexum/627/2022.01/user/getUserSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"SelectableFields": {
"IncludeAllUserFields": false,
"UserFields": {
"Number": true,
"Name": true,
"Type": true,
"ActiveMode": true
},
"ActivitySelectableFields": {
"IncludeAllActivityFields": false,
"ActivityFields": {
"UserNumber": true,
"Date": true,
"Time": true,
"Console": true
}
},
"UserTrackingSelectableFields": {
"IncludeAllUserTrackingFields": false,
"UserTrackingFields": {
"Locator": true,
"Type": true,
"CreationDate": true
}
}
},
"ChildrenSearchFilter": {
"ActivityFilter": {
"Query": "string"
},
"UserTrackingFilter": {
"Query": "string"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getActivityPagedList
Retrieves a paged list of activities.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
UserNumberintegerrequiredThe user number for the activity.Loading fields…
symstringrequired- Sym number
TokenstringoptionalThe tokenized value for the activity.Loading fields…
/nexum/{sym}/2022.01/user/getActivityPagedListPOST /nexum/627/2022.01/user/getActivityPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getActivityListSelectFields
Retrieves a list of selected fields for activities.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
UserNumberintegerrequiredThe user number for the activity.Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/user/getActivityListSelectFieldsPOST /nexum/627/2022.01/user/getActivityListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"SelectableFields": {
"IncludeAllActivityFields": false,
"ActivityFields": {
"UserNumber": true,
"Date": true,
"Time": true,
"Console": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchActivitySelectFields
Searches activities with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
UserNumberintegerrequiredThe user number for the activity.Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/user/searchActivitySelectFieldsPOST /nexum/627/2022.01/user/searchActivitySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"SearchFilter": {
"Query": "string"
},
"SelectableFields": {
"IncludeAllActivityFields": false,
"ActivityFields": {
"UserNumber": true,
"Date": true,
"Time": true,
"Console": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}